package com.sdtool.common.entity.system;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by jlutt on 2018-08-02.
 * 系统操作日志
 * 记录在es中
 *
 * @author jlutt
 */
public class OpLog {

    private String esId;

    private long userId;

    private String userName;

    /**
     * 由于淘宝有次数限制，不记录位置
     */
    private String clientIp;

    /**
     * 请求地址
     */
    private String url;

    private String opDateStr;

    private long opDate;

    private String esIndex;

    private List<KeyValuePair> headers = new ArrayList<>();

    private List<KeyValuePair> params = new ArrayList<>();

    public long getUserId() {
        return userId;
    }

    public void setUserId(long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public List<KeyValuePair> getHeaders() {
        return headers;
    }

    public void setHeaders(List<KeyValuePair> headers) {
        this.headers = headers;
    }

    public List<KeyValuePair> getParams() {
        return params;
    }

    public void setParams(List<KeyValuePair> params) {
        this.params = params;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getOpDateStr() {
        return opDateStr;
    }

    public void setOpDateStr(String opDateStr) {
        this.opDateStr = opDateStr;
    }

    public long getOpDate() {
        return opDate;
    }

    public void setOpDate(long opDate) {
        this.opDate = opDate;
    }

    public String getEsId() {
        return esId;
    }

    public void setEsId(String esId) {
        this.esId = esId;
    }

    public String getEsIndex() {
        return esIndex;
    }

    public void setEsIndex(String esIndex) {
        this.esIndex = esIndex;
    }
}
